#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-3Sq2KLF9y9GBxv6xEY1yFX
key:                  semialign-1.2.0.1-3Sq2KLF9y9GBxv6xEY1yFX
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  fe9d068eeb8c0f9b049343ab38a21cda
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-3Sq2KLF9y9GBxv6xEY1yFX
depends:
    base-4.15.1.0 containers-0.6.4.1
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX
    indexed-traversable-0.1.2-55rCITp0bj2K4TSTU28RrG
    indexed-traversable-instances-0.1.1.1-2FAEPTvqrSJImW0P38ltOd
    semigroupoids-5.3.7-72XKvzBbOSTBsysuZk4IjF
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR
    these-1.1.1.1-89ETKfuIREq9iQPjkscxz3 transformers-0.5.6.2
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

